Bug 1096842 - gnome-shell + wayland + NVidia Must click on title bar to change keyboard input
Summary: gnome-shell + wayland + NVidia Must click on title bar to change keyboard input
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-12 14:02 UTC by Eric Paris
Modified: 2016-07-19 11:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:30:19 UTC


Attachments (Terms of Use)

Description Eric Paris 2014-05-12 14:02:44 UTC
gnome-session-wayland-session.x86_64   3.12.1-2.fc21                     
ibus-wayland.x86_64   1.5.7-1.fc21               
libwayland-client.x86_64   1.4.0-1.fc21          
libwayland-cursor.x86_64   1.4.0-1.fc21          
libwayland-server.x86_64   1.4.0-1.fc21          
mesa-libwayland-egl.x86_64   10.2-0.4.rc2.20140510.fc21        
wayland.x86_64   1.4.0-1.fc21                      
xorg-x11-server-Xwayland.x86_64   1.15.99.902-5.20140428.fc21

So huge congrats, fist time ever to launch gnome-shell on wayland on non-intel hardware.  Big win.

But, I was only able to change the window getting the keyboard input by clicking on the title bar.  Just clicking on a window did not change the keyboard input.  This made using chrome impossible, as it did not have a title bar.  I could click in the url bar, but the keyboard input remained in another window (like a terminal or evolution)

Comment 1 Joachim Frieben 2014-08-18 08:27:53 UTC
Similar issue here regarding mouse focus under XWayland: menu items "Edit > Preferences" and "Edit > Profile Preferences" of GNOME terminal sometimes do not react when the left mouse button is pressed. Normal behaviour under normal GNOME session.

Comment 2 Jaroslav Reznik 2015-03-03 15:48:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Olivier Fourdan 2015-03-05 14:24:19 UTC
Looks like a gnome-shell/mutter issue rather than gnome-session (ie it's filed against the wrong component)

Comment 4 Olivier Fourdan 2015-03-06 08:13:10 UTC
(In reply to Joachim Frieben from comment #1)
> Similar issue here regarding mouse focus under XWayland: menu items "Edit >
> Preferences" and "Edit > Profile Preferences" of GNOME terminal sometimes do
> not react when the left mouse button is pressed. Normal behaviour under
> normal GNOME session.

That's a different issue, what you describe is bug 1188289 which requires 2 patches, one in mutter to disable the COW and one in Xwayland to remove the XYToWindow() routine which is not needed anymore once the COW is disabled in mutter with Wayland.

Comment 5 Fedora End Of Life 2016-07-19 11:30:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.